import request from '@/utils/request'

// 查询子计划对应的工序指定的使用设备列表
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
export function listEquipmentUser(query) {
  return request({
    url:  baseUrl+'/business/equipmentUser/list',
    method: 'get',
    params: query
  })
}

// 查询子计划对应的工序指定的使用设备详细
export function getEquipmentUser(id) {
  return request({
    url:  baseUrl+'/business/equipmentUser/' + id,
    method: 'get'
  })
}

// 新增子计划对应的工序指定的使用设备
export function saveEquipmentUser(data) {
  return request({
    url:  baseUrl+'/business/equipmentUser',
    method: 'post',
    data: data
  })
}

// 修改子计划对应的工序指定的使用设备
export function updateEquipmentUser(data) {
  return request({
    url:  baseUrl+'/business/equipmentUser',
    method: 'put',
    data: data
  })
}

// 删除子计划对应的工序指定的使用设备
export function delEquipmentUser(id) {
  return request({
    url:  baseUrl+'/business/equipmentUser/' + id,
    method: 'delete'
  })
}
